net.minecraft.client.mco

## Class McoServer

- java.lang.Object
- - net.minecraft.util.ValueObject
  - - net.minecraft.client.mco.McoServer

- All Implemented Interfaces:
    Comparable

      public class McoServer
      extends ValueObject
      implements Comparable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `List` | `field_96402_f`
    `String` | `field_96403_g`
    `String` | `field_96404_d`
    `String` | `field_96405_e`
    `String` | `field_96406_b`
    `String` | `field_96407_c`
    `long` | `field_96408_a`
    `boolean` | `field_96411_l`
    `long` | `field_96412_m`
    `String` | `field_96413_j`
    `String` | `field_96414_k`
    `int` | `field_96415_h`
    `int` | `field_96416_i`
    `boolean` | `field_98166_h`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `McoServer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(Object par1Obj)`
    `int` | `func_101017_b(McoServer par1McoServer)`
    `String` | `func_96397_a()`
    `String` | `func_96398_b()`
    `void` | `func_96399_a(String par1Str)`
    `void` | `func_96400_b(String par1Str)`
    `void` | `func_96401_a(McoServer par1McoServer)`
    `static McoServer` | `func_98163_a(JsonNode par0JsonNode)`
    `static McoServer` | `func_98165_c(String par0Str)`

    - ### Methods inherited from class net.minecraft.util.ValueObject

      `toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### field_96408_a

          public long field_96408_a

    - #### field_96406_b

          public String field_96406_b

    - #### field_96407_c

          public String field_96407_c

    - #### field_96404_d

          public String field_96404_d

    - #### field_96405_e

          public String field_96405_e

    - #### field_96402_f

          public List field_96402_f

    - #### field_96403_g

          public String field_96403_g

    - #### field_98166_h

          public boolean field_98166_h

    - #### field_96415_h

          public int field_96415_h

    - #### field_96416_i

          public int field_96416_i

    - #### field_96413_j

          public String field_96413_j

    - #### field_96414_k

          public String field_96414_k

    - #### field_96411_l

          public boolean field_96411_l

    - #### field_96412_m

          public long field_96412_m

  - ### Constructor Detail

    - #### McoServer

          public McoServer()

  - ### Method Detail

    - #### func_96397_a

          public String func_96397_a()

    - #### func_96398_b

          public String func_96398_b()

    - #### func_96399_a

          public void func_96399_a(String par1Str)

    - #### func_96400_b

          public void func_96400_b(String par1Str)

    - #### func_96401_a

          public void func_96401_a(McoServer par1McoServer)

    - #### func_98163_a

          public static McoServer func_98163_a(JsonNode par0JsonNode)

    - #### func_98165_c

          public static McoServer func_98165_c(String par0Str)

    - #### func_101017_b

          public int func_101017_b(McoServer par1McoServer)

    - #### compareTo

          public int compareTo(Object par1Obj)

      Specified by:
        `compareTo` in interface `Comparable`